summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2015-02-06 18:13:50 +0530
committerVishal Bhoj <vishal.bhoj@linaro.org>2015-02-06 18:13:50 +0530
commita9e1687733337a0fc6a33ffa0329cf9c924d2e41 (patch)
treeedd9a28a8fc36bd7c7196bd7546dfe174fa9fed8
parentee4bc2ef69174b68c620aaf2143bf6abba3cb09a (diff)
downloadandroid-patchsets-staging.tar.gz
Add board workaroundsstaging
Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
-rwxr-xr-xboard-workarounds23
1 files changed, 23 insertions, 0 deletions
diff --git a/board-workarounds b/board-workarounds
new file mode 100755
index 0000000..f6c0308
--- /dev/null
+++ b/board-workarounds
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+
+##################################################
+################ Linaro hack ###################
+##################################################
+apply --linaro frameworks/native 15422/1
+apply --linaro frameworks/base 15423/1